gnutls_pkcs11_obj_set_info(3)

NAME
gnutls_pkcs11_obj_set_info - API function

SYNOPSIS
#include <gnutls/pkcs11.h>

int gnutls_pkcs11_obj_set_info(gnutls_pkcs11_obj_t obj, gnutls_pkcs11_obj_info_t itype, const void * data, size_t data_size, unsigned flags);

ARGUMENTS

gnutls_pkcs11_obj_t obj
    should contain a gnutls_pkcs11_obj_t type

gnutls_pkcs11_obj_info_t itype
    Denotes the type of information to be set

const void * data
    the data to set

size_t data_size
    the size of data

unsigned flags
    Or sequence of GNUTLS_PKCS11_OBJ_* flags

DESCRIPTION
This function will set attributes on the provided object. Available options for itype are GNUTLS_PKCS11_OBJ_LABEL, GNUTLS_PKCS11_OBJ_ID_HEX, and GNUTLS_PKCS11_OBJ_ID.

RETURNS
GNUTLS_E_SUCCESS (0) on success or a negative error code on error.

SINCE
3.4.0

REPORTING BUGS
Report bugs to <bugs@gnutls.org>.
Home page: https://www.gnutls.org

COPYRIGHT
Copyright © 2001- Free Software Foundation, Inc., and others.
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for gnutls is maintained as a Texinfo manual. If the /usr/share/doc/gnutls/ directory does not contain the HTML form visit

https://www.gnutls.org/manual/